Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class RemoveMethodTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.RemoveMethodTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, RemoveMethodType<T>

    public class RemoveMethodTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, RemoveMethodType<T>

This class implements the `remove-methodType` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`RemoveMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`RemoveMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`NamedMethodType<RemoveMethodType<T>>` | `beanMethod()` If not already created, a new `bean-method` element will be created and returned.
`java.lang.Boolean` | `isRetainIfException()` Returns the `retain-if-exception` element
`RemoveMethodType<T>` | `removeBeanMethod()` Removes the `bean-method` element
`RemoveMethodType<T>` | `removeRetainIfException()` Removes the `retain-if-exception` element
`RemoveMethodType<T>` | `setRetainIfException(java.lang.Boolean retainIfException)` If not already created, a new `retain-if-exception` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveMethodTypeImpl

    public RemoveMethodTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### RemoveMethodTypeImpl

    public RemoveMethodTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeBeanMethod

    public RemoveMethodType<T> removeBeanMethod()

  Removes the `bean-method` element

  Specified by:
    `removeBeanMethod` in interface `RemoveMethodType<T>`
  Returns:
    the current instance of `RemoveMethodType`

### beanMethod

    public NamedMethodType<RemoveMethodType<T>> beanMethod()

  If not already created, a new `bean-method` element will be created and returned. Otherwise, the existing `bean-method` element will be returned.

  Specified by:
    `beanMethod` in interface `RemoveMethodType<T>`
  Returns:
    the node defined for the element `bean-method`

### setRetainIfException

    public RemoveMethodType<T> setRetainIfException(java.lang.Boolean retainIfException)

  If not already created, a new `retain-if-exception` element with the given value will be created. Otherwise, the existing `retain-if-exception` element will be updated with the given value.

  Specified by:
    `setRetainIfException` in interface `RemoveMethodType<T>`
  Returns:
    the current instance of `RemoveMethodType`

### removeRetainIfException

    public RemoveMethodType<T> removeRetainIfException()

  Removes the `retain-if-exception` element

  Specified by:
    `removeRetainIfException` in interface `RemoveMethodType<T>`
  Returns:
    the current instance of `RemoveMethodType`

### isRetainIfException

    public java.lang.Boolean isRetainIfException()

  Returns the `retain-if-exception` element

  Specified by:
    `isRetainIfException` in interface `RemoveMethodType<T>`
  Returns:
    the node defined for the element `retain-if-exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD